%global module bsddb3

Name:           python-%{module}
Version:        6.2.9
Release:        %mkrel 2
Summary:        Python bindings for Berkeley DB
License:        BSD
Group:          Development/Python
Url:            http://pypi.python.org/pypi/bsddb3
Source:         %{module}-%{version}.tar.xz

BuildRequires:  db5.3-devel
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools

%description
This package contains Python wrappers for Berkeley DB, the Open Source embedded
database system. The Python wrappers allow you to store Python string objects of
any length.

%package -n python3-%{module}
Summary:        %{summary}
Group:          Development/Python
Obsoletes: python3-bsddb3-devel

%description -n python3-%{module}
This package contains Python wrappers for Berkeley DB, the Open Source embedded
database system. The Python wrappers allow you to store Python string objects of
any length.

%prep
%setup -qn %{module}-%{version}

# drop bundled egg-info
rm -rf bsddb3.egg-info/

%build
%py3_build

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitearch}

# Get rid of unneeded header
rm -f %{buildroot}%{_includedir}/python*/bsddb3/bsddb.h

# Make all scripts executable
chmod 0755 %{buildroot}%{python3_sitearch}/bsddb3/{dbshelve.py,tests/test_dbtables.py}

# fix shebangs
%{_bindir}/pathfix.py -i %{__python3} -p -n %{buildroot}%{python3_sitearch}/bsddb3/

%files -n python3-%{module}
%doc ChangeLog PKG-INFO README.txt LICENSE.txt
%{python3_sitearch}/bsddb3/
%{python3_sitearch}/bsddb3-%{version}-py%{python3_version}.egg-info

%changelog
* Sat Aug 20 2022 tex - 6.2.9-2pclos2022
- Obsolete python3-bsddb3-devel

* Sun Mar 13 2022 TerryN <terryn94 at gmail.com> 6.2.9-1pclos2022
- update and rebuild for python 3.10

* Fri Apr 13 2018 marcin82 <fixxer1982 at gmail.com> 6.2.5-1pclos2018
- update

* Sat Aug 22 2015 bb <bb> 6.1.0-1pclos2015
- import into pclos for gramps 4.2.0
